#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3 | tr '-' '.')
%define		aname		%(echo %{sname} | cut -d '.' -f1)
%define		bname		%(echo %{sname} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-zope-interface
Version		:	6.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Zope 3 Interface Infrastructure
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.org/project/zope.interface/

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	python3
BuildRequires	:	python3-zope-testing

#-----------------------------------------------------------------------------
%description
Interfaces are a mechanism for labeling objects as
conforming to a given API or contract.
	
This is a separate distribution of the zope.interface
package used in Zope 3.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/%{aname}/%{bname}/_%{aname}_%{bname}_coptimizations.c
%{python3_sitelib}/%{aname}/%{bname}/_%{aname}_%{bname}_coptimizations.*.so
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/common/*.py
%{python3_sitelib}/%{aname}/%{bname}/common/__pycache__/*.pyc
%exclude %{python3_sitelib}/%{aname}/%{bname}/tests/*.py
%exclude %{python3_sitelib}/%{aname}/%{bname}/tests/__pycache__/*.pyc
%exclude %{python3_sitelib}/%{aname}/%{bname}/common/tests/*.py
%exclude %{python3_sitelib}/%{aname}/%{bname}/common/tests/__pycache__/*.pyc
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
PURE_PYTHON=1 %{__python}				\
  -m unittest discover					\
  -s %{buildroot}%{python3_sitearch}/%{aname}/%{bname}	\
  -t							\
  %{buildroot}%{python3_sitearch}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
